# commitlint-plugin-ticket-ids

![GitHub](https://img.shields.io/github/license/marcdonald/commitlint-plugin-ticket-ids)
![Build Status](https://img.shields.io/github/actions/workflow/status/marcdonald/commitlint-plugin-ticket-ids/CI.yml)
![Maintenance](https://img.shields.io/maintenance/yes/2023)

![NPM Version](https://img.shields.io/npm/v/commitlint-plugin-ticket-ids)
![Latest release](https://img.shields.io/github/v/release/marcdonald/commitlint-plugin-ticket-ids)
![Latest Pre-release](https://img.shields.io/github/v/release/marcdonald/commitlint-plugin-ticket-ids?include_prereleases&label=pre-release)

![GitHub Repo stars](https://img.shields.io/github/stars/marcdonald/commitlint-plugin-ticket-ids)
![NPM Downloads (All Time)](https://img.shields.io/npm/dt/commitlint-plugin-ticket-ids)
![NPM Downloads (Monthly)](https://img.shields.io/npm/dm/commitlint-plugin-ticket-ids)

WIP commitlint plugin to verify commits reference branch issue

## Usage

1. Run `npm install -D commitlint-plugin-ticket-ids`

2. Add the plugin to your `commitlint.config.js` plugins array

   ```js
   module.exports = {
   	plugins: ['ticket-ids'],
   };
   ```

3. Configure your desired rules in your `commitlint.config.js` file

   ```js
   module.exports = {
   	rules: {
   		'subject-reference-branch-ticket': [2, 'always'],
   	},
   };
   ```
